@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --BGCOLOR: #ed017f;
    --HOVER: #ed017f47;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Roboto", sans-serif;
}

header {
    background: var(--BGCOLOR);
    padding: 0.6em 0.6em 1em 0.6em;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    line-height: 1.5;
    position: fixed;
    z-index: 100;
    width: 100%;
}

main {
    padding: 6em 25em 2em 25em;  
    background-color: gainsboro;
}

nav ol {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5em;
    list-style: none;
}

li a {
    text-decoration: none;
    color: #000;
    font-weight: 600;
    padding: 0.5em 2em 0.5em 2em;
    border-radius: 0.5em;
    background-color: #fff; 
}

li .jay::after {
    content: '';
    width: 0;
    height: 26px;
    padding: 0.55em 0.1em 0 0;
    position: absolute;
    margin-top: -0.35em;
    margin-left: -5.799em;
    border-radius: 1em;
    transition: all 0.5s 0.1s linear;
}

li .jay:hover::after {
    width: 92.5px;
    padding: 0.55em 1em 0 1em;
    border-radius: 0.5em;
    background-color: var(--HOVER);
}

li .levi::after {
    content: '';
    width: 0;
    height: 26px;
    padding: 0.55em 0.1em 0 0;
    position: absolute;
    margin-top: -0.35em;
    margin-left: -4em;
    border-radius: 1em;
    transition: all 0.5s 0.1s linear;
}

li .levi:hover::after {
    width: 64px;
    padding: 0.55em 1em 0 1em;
    border-radius: 0.5em;
    background-color: var(--HOVER);
}

li .lekan::after {
    content: '';
    width: 0;
    height: 26px;
    padding: 0.55em 0.1em 0 0;
    position: absolute;
    margin-top: -0.35em;
    margin-left: -6.25em;
    border-radius: 1em;
    transition: all 0.5s 0.1s linear;
}

li .lekan:hover::after {
    width: 100px;
    padding: 0.55em 1em 0 1em;
    border-radius: 0.5em;
    background-color: var(--HOVER);
}

.card {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background: var(--HOVER);
    margin: 1.5em 0 1.5em 0;
    background: radial-gradient(#ed017fe8, #94004ffa);
    border-radius: 3em;
    font-weight: 900;
}

img {
    border: 0.5em solid #ffffff27;
}

footer {
    background: var(--BGCOLOR);
    position: fixed;
    bottom: 0;
    width: 100%;
    text-align: center;
    padding: 0.6em;
    font-weight: 800;
}

/* SCROLLBAR */
::-webkit-scrollbar {
    width: 11.5px;
}

::-webkit-scrollbar-track {
    background: radial-gradient(#ed017f, #94004f);
}

::-webkit-scrollbar-thumb {
    background-color: #fff;
}

/* RESPONSIVE */
@media screen and (max-width: 576px){
    main {
        padding: 6em 0.5em 2em 0.5em;  
    }

    nav ol {
        gap: 1em;
    }

    li a {
        padding: 0.5em 1em 0.5em 1em;
    }
}

@media screen and (min-width: 577px) and (max-width: 768px){
    main {
        padding: 6em 4em 2em 4em;  
    }

    nav ol {
        gap: 1em;
    }
}

@media screen and (min-width: 769px) and (max-width: 1024px){
    main {
        padding: 8em 4em 3em 4em;  
    }

    nav ol {
        gap: 1em;
    }
}

@media screen and (min-width: 1025px) and (max-width: 1444px){
    main {
        padding: 6em 20em 2em 20em;  
    }

    nav ol {
        gap: 1em;
    }
}